当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 5 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 如何升级Python
帖子发表于 : 2009-05-22 17:53 

注册: 2008-09-19 3:26
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
我现在的版本是2.5
想升级到3或者最新的版本
但是因为之前下载了一些模块
比如Matplotlib之类的
我怕直接删除以前的然后安装新的那些模块就用不上了
如何弄阿?谢谢


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 如何升级Python
帖子发表于 : 2009-05-22 17:58 

注册: 2008-09-19 3:26
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
还有,下面的哪些可以删除阿

python: /usr/bin/python /usr/bin/python2.5 /usr/bin/python2.5-config /etc/python /etc/python2.5 /usr/lib/python2.5 /usr/lib/python2.4 /usr/lib/python2.3 /usr/local/lib/python2.5 /usr/include/python2.5_d /usr/include/python2.5 /usr/include/python2.4 /usr/include/python2.4_d /usr/share/python /usr/share/man/man1/python.1.gz


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 如何升级Python
帖子发表于 : 2009-05-22 20:02 
头像

注册: 2007-12-08 23:33
帖子: 4088
地址: SCUT-guangzhou
送出感谢: 0 次
接收感谢: 0 次
可以安装两个版本。
不要删掉2.5,因为系统很多软件要依赖它


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 如何升级Python
帖子发表于 : 2009-05-22 21:56 

注册: 2008-09-19 3:26
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
那默认解释器是哪个?


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 如何升级Python
帖子发表于 : 2009-05-27 23:10 

注册: 2008-10-31 22:12
帖子: 6546
系统: 践兔
送出感谢: 18
接收感谢: 25
看脚本第一行,比如
代码:
#!/usr/bin/python
就是默认的2.6


_________________
代码:
] ls -ld //


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 5 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译